<p>

<mat-toolbar color="primary">
  <mat-toolbar-row>
    <span><a routerLink="/" >Quote Finder</a></span>
    <span class="example-spacer"></span>
    <button mat-icon-button (click)="onColapseChange();">
      <mat-icon>menu</mat-icon>
    </button>
  </mat-toolbar-row>

  <mat-toolbar-row *ngIf="!userIsAuthenticated && colapse" >
    <span></span>
    <span class="example-spacer"></span>
    <button mat-button routerLink="/auth/login" (click)="onColapseChange();" routerLinkActive="mat-accent" [routerLinkActiveOptions]="{exact:true}" >
      Login
    </button>
  </mat-toolbar-row>

  <mat-toolbar-row *ngIf="!userIsAuthenticated && colapse" >
    <span></span>
    <span class="example-spacer"></span>
    <button mat-button routerLink="/auth/signup" (click)="onColapseChange();" routerLinkActive="mat-accent" [routerLinkActiveOptions]="{exact:true}">
      Signup
    </button>
  </mat-toolbar-row>

  <mat-toolbar-row *ngIf="userIsAuthenticated && colapse" >
    <span></span>
    <span class="example-spacer"></span>
    <button mat-button routerLink="/quotes/add" (click)="onColapseChange();" routerLinkActive="mat-accent" [routerLinkActiveOptions]="{exact:true}" >
      Add Quotes
    </button>
  </mat-toolbar-row>

  <mat-toolbar-row *ngIf="userIsAuthenticated && colapse" >
    <span></span>
    <span class="example-spacer"></span>
    <button mat-button routerLink="/quotes" (click)="onColapseChange();" routerLinkActive="mat-accent" [routerLinkActiveOptions]="{exact:true}" >
      Quotes
    </button>
  </mat-toolbar-row>

  <mat-toolbar-row *ngIf="userIsAuthenticated && role=='Admin' && colapse" >
    <span></span>
    <span class="example-spacer"></span>
    <button mat-button routerLink="/quotes/settings" (click)="onColapseChange();" routerLinkActive="mat-accent" [routerLinkActiveOptions]="{exact:true}" >
      Settings
    </button>
  </mat-toolbar-row>

  <mat-toolbar-row *ngIf="userIsAuthenticated && colapse" >
    <span></span>
    <span class="example-spacer"></span>
    <button mat-button (click)="onLogout()" (click)="onColapseChange();" routerLinkActive="mat-accent" [routerLinkActiveOptions]="{exact:true}" >
      Logout
    </button>
  </mat-toolbar-row>

</mat-toolbar>
</p>
